<template>
  <div class="hello">
    <div>
      <b-navbar toggleable="sm" type="light" class="nav-bg-color">
        <b-navbar-toggle target="nav-text-collapse"></b-navbar-toggle>

        <b-collapse id="nav-text-collapse" is-nav>
          <b-navbar-nav class="ml-auto">
            <b-nav-item @click="goHome()">Home</b-nav-item>
            <b-nav-item v-if="!loggedUser" @click="goToSignUp()">Signup</b-nav-item>
            <b-nav-item v-if="!loggedUser" @click="goTologIn()">Login</b-nav-item>
            <b-nav-item v-if="loggedUser" @click="goToProfile()">My Account</b-nav-item>
            <b-nav-item v-if="loggedUser" @click="goTologout()">Logout</b-nav-item>
            <b-nav-item>ELearning</b-nav-item>
            <b-nav-item>videos</b-nav-item>
            <b-nav-item @click="goToHowToPart()">How to practice</b-nav-item>
          </b-navbar-nav>
        </b-collapse>
      </b-navbar>
    </div>
  </div>
</template>

<script>
import { store } from "../store/index.js";
export default {
  computed: {
    loggedUser: function() {
      return store.getters.getUserInfo;
    }
  },
  methods: {
    goHome() {
      this.$router.push("/");
    },
    goTologIn() {
      this.$router.push("login");
    },
    goToSignUp() {
      this.$router.push("signUp");
    },
    goToHowToPart() {
      this.$router.push("how-to-participate");
    },
    goTologout(){
      store.commit("SET_LOGOUT_USER");
      this.$router.push("/");
    },
    goToProfile(){
      this.$router.push("profile");
    }
  }
};
</script>

<style scoped>
.nav-bg-color {
  background-color: white;
}
.navbar-light .navbar-nav .nav-link {
  background-color: #fb5f00;
  padding-left: 12px !important;
  padding-right: 12px !important;
  color: #fff !important;
  font-weight: 700;
  font-size: 14px;
  border-radius: 49px;
  margin: 5px;
}
</style>
